package com.casic.missiles.modular.alarm.service.impl;

import com.baomidou.mybatisplus.plugins.Page;
import com.casic.missiles.modular.alarm.service.ISysDictService;
import com.casic.missiles.modular.system.dao.SysDictMapper;
import com.casic.missiles.modular.system.model.SysDict;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 字典表 服务实现类
 * </p>
 *
 * @author casic123
 * @since 2019-05-17
 */
@Service
public class SysDictServiceImpl extends ServiceImpl<SysDictMapper, SysDict> implements ISysDictService {

    @Resource
    private SysDictMapper sysDictMapper;

    @Override
    public List<Map<String,Object>> getTypeViaName(String typeName){
        return this.baseMapper.getTypeViaName(typeName);
    }

    @Override
    public List<Map<String,Object>> getTypeViaCode(String code){
        return this.baseMapper.getTypeViaCode(code);
    }

    @Override
    public List<Map<String,Object>> getAlarmContent(String alarmType,String devType){
        return this.baseMapper.getAlarmContent(alarmType,devType);
    }

    @Override
    public List<Map<String,Object>> testPage(Page<Map<String,Object>> page){
        return this.baseMapper.testPage(page);
    }

    @Override
    public String getDBtime(){
        return this.baseMapper.getDBtime();
    }
}
